Bug 1188566 - (CVE-2021-2388) VUL-0: CVE-2021-2388: java-11-openjdk,java-1_8_0-openjdk: flaw inside the Hotspot component performed range check elimination
(CVE-2021-2388)
VUL-0: CVE-2021-2388: java-11-openjdk,java-1_8_0-openjdk: flaw inside the Hot...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/304694/
CVSSv3.1:SUSE:CVE-2021-2388:7.5:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-21 13:32 UTC by Alexander Bergmann
Modified: 2022-04-07 10:21 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-07-21 13:32:39 UTC
rh#1983075

A flaw was found in the way the Hotspot component of OpenJDK performed range check elimination.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1983075
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-2388
https://www.oracle.com/security-alerts/cpujul2021.html#CVE-2021-2388
Comment 4 Swamp Workflow Management 2021-08-05 14:00:53 UTC
SUSE-SU-2021:2613-1: An update that solves three vulnerabilities, contains one feature and has one errata is now available.

Category: security (important)
Bug References: 1185476,1188564,1188565,1188566
CVE References: CVE-2021-2341,CVE-2021-2369,CVE-2021-2388
JIRA References: SLE-5715
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    java-11-openjdk-11.0.12.0-3.27.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-08-20 13:29:56 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2797-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1185056,1188564,1188565,1188566
CVE References: CVE-2021-2161,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE OpenStack Cloud Crowbar 8 (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE OpenStack Cloud 9 (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE OpenStack Cloud 8 (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE Linux Enterprise Server 12-SP5 (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE Linux Enterprise Server 12-SP3-BCL (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2
HPE Helion Openstack 8 (src):    java-1_8_0-openjdk-1.8.0.302-27.63.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2021-08-20 13:51:34 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2798-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1185056,1188564,1188565,1188566
CVE References: CVE-2021-2161,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Manager Retail Branch Server 4.0 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Manager Proxy 4.0 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Linux Enterprise Server for SAP 15 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Linux Enterprise Server 15-LTSS (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE Enterprise Storage 6 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
SUSE CaaS Platform 4.0 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-08-20 13:56:48 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:2798-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1185056,1188564,1188565,1188566
CVE References: CVE-2021-2161,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    java-1_8_0-openjdk-1.8.0.302-3.55.2
Comment 8 Swamp Workflow Management 2021-08-21 13:18:17 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:1176-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1185056,1188564,1188565,1188566
CVE References: CVE-2021-2161,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    java-1_8_0-openjdk-1.8.0.302-lp152.2.15.1
Comment 9 Swamp Workflow Management 2021-09-03 16:17:04 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:2952-1: An update that solves three vulnerabilities, contains one feature and has one errata is now available.

Category: security (important)
Bug References: 1185476,1188564,1188565,1188566
CVE References: CVE-2021-2341,CVE-2021-2369,CVE-2021-2388
JIRA References: SLE-5715
Sources used:
openSUSE Leap 15.3 (src):    java-11-openjdk-11.0.12.0-3.59.1
Comment 10 Swamp Workflow Management 2021-09-03 16:23:02 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2952-1: An update that solves three vulnerabilities, contains one feature and has one errata is now available.

Category: security (important)
Bug References: 1185476,1188564,1188565,1188566
CVE References: CVE-2021-2341,CVE-2021-2369,CVE-2021-2388
JIRA References: SLE-5715
Sources used:
SUSE Manager Server 4.0 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Manager Retail Branch Server 4.0 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Manager Proxy 4.0 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Server for SAP 15 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Server 15-LTSS (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE Enterprise Storage 6 (src):    java-11-openjdk-11.0.12.0-3.59.1
SUSE CaaS Platform 4.0 (src):    java-11-openjdk-11.0.12.0-3.59.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-09-07 13:21:37 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:1233-1: An update that solves three vulnerabilities, contains one feature and has one errata is now available.

Category: security (important)
Bug References: 1185476,1188564,1188565,1188566
CVE References: CVE-2021-2341,CVE-2021-2369,CVE-2021-2388
JIRA References: SLE-5715
Sources used:
openSUSE Leap 15.2 (src):    java-11-openjdk-11.0.12.0-lp152.2.15.1
Comment 13 Swamp Workflow Management 2021-11-04 17:28:31 UTC
openSUSE-SU-2021:3615-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1185055,1185056,1188564,1188565,1188566,1191901,1191903,1191904,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-2161,CVE-2021-2163,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388,CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35603
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    java-1_8_0-openj9-1.8.0.312-3.18.2
Comment 14 Swamp Workflow Management 2021-11-06 05:17:02 UTC
openSUSE-SU-2021:1455-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1185055,1185056,1188564,1188565,1188566,1191901,1191903,1191904,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-2161,CVE-2021-2163,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388,CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35603
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    java-1_8_0-openj9-1.8.0.312-lp152.3.12.1
Comment 16 Swamp Workflow Management 2022-01-18 17:27:21 UTC
SUSE-SU-2022:14876-1: An update that solves 12 vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1185055,1188564,1188565,1188566,1188568,1191905,1191909,1191910,1191911,1191913,1191914,1192052,1194198,1194232
CVE References: CVE-2021-2163,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388,CVE-2021-2432,CVE-2021-35556,CVE-2021-35559,CVE-2021-35564,CVE-2021-35565,CVE-2021-35586,CVE-2021-35588,CVE-2021-41035
JIRA References: 
Sources used:
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    java-1_7_0-ibm-1.7.0_sr11.0-65.63.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.